Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.service
Class IdentityConfigurationService

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.IdentityConfigurationService

All Implemented Interfaces:
  IdentityConfiguration

    public class IdentityConfigurationService

extends IdentityModuleService
implements IdentityConfiguration

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Fields inherited from interface org.jboss.portal.identity.IdentityConfiguration
`CONNECTION_ADMIN_DN, CONNECTION_ADMIN_PASSWORD, CONNECTION_AUTHENTICATION, CONNECTION_CONTEXT_FACTORY, CONNECTION_HOST, CONNECTION_NAME, CONNECTION_PORT, GROUP_COMMON, GROUP_CONNECTION, GROUP_ROLE_CREATE_ATTRIBUTES, GROUP_USER_CREATE_ATTRIBUTES, GROUP_USER_PROFILE_MAPPINGS, MEMBERSHIP_ATTRIBUTE_ID, MEMBERSHIP_ATTRIBUTE_IS_DN, MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_EMPTY_VALUE, MEMBERSHIP_MEMBERSHIP_ATTRIBUTE_REQUIRED, ROLE_CONTAINER_DN, ROLE_CONTEXT_DN, ROLE_DEFAULT_ADMIN_ROLE, ROLE_DISPLAY_NAME_ATTRIBUTE_ID, ROLE_RID_ATTRIBUTE_ID, ROLE_SEARCH_FILTER, SEARCH_SCOPE, SEARCH_TIME_LIMIT, USER_ALLOW_EMPTY_PASSWORDS, USER_CONTAINER_DN, USER_CONTEXT_DN, USER_PASSWORD_ATTRIBUTE_ID, USER_PRINCIPAL_PREFIX, USER_PRINCIPAL_SUFFIX, USER_SEARCH_FILTER, USER_UID_ATTRIBUTE_ID, USER_USER_NAME_TO_LOWER_CASE`

Constructor Summary
`IdentityConfigurationService()`
`IdentityConfigurationService(java.util.Map optionGroups)`
`IdentityConfigurationService(OptionsMetaData meta)`

Method Summary
`void` | `addValue(java.lang.String optionGroup, java.lang.String option, java.lang.String value)`
`java.util.Map` | `getOptionGroups()`
`java.util.Map` | `getOptions(java.lang.String optionGroup)`
`java.lang.String` | `getValue(java.lang.String option)`
`java.lang.String` | `getValue(java.lang.String optionGroup, java.lang.String option)`
`java.util.Set` | `getValues(java.lang.String optionGroup, java.lang.String option)`
`void` | `remoeOption(java.lang.String optionGroup, java.lang.String option)`
`void` | `setData(java.util.Map data)`
`void` | `setOptions(java.lang.String optionGroup, java.util.Map options)`
`void` | `setValues(java.lang.String optionGroup, java.lang.String option, java.util.Set values)`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityConfigurationService

    public IdentityConfigurationService()

### IdentityConfigurationService

    public IdentityConfigurationService(java.util.Map optionGroups)

### IdentityConfigurationService

    public IdentityConfigurationService(OptionsMetaData meta)
                                 throws IdentityException

Throws:
  `IdentityException`

Method Detail

### getValues

    public java.util.Set getValues(java.lang.String optionGroup,
                                   java.lang.String option)

  Specified by:
    `getValues` in interface `IdentityConfiguration`

### getValue

    public java.lang.String getValue(java.lang.String optionGroup,
                                     java.lang.String option)

  Specified by:
    `getValue` in interface `IdentityConfiguration`

### getValue

    public java.lang.String getValue(java.lang.String option)

  Specified by:
    `getValue` in interface `IdentityConfiguration`

### setValues

    public void setValues(java.lang.String optionGroup,
                          java.lang.String option,
                          java.util.Set values)

  Specified by:
    `setValues` in interface `IdentityConfiguration`

### addValue

    public void addValue(java.lang.String optionGroup,
                         java.lang.String option,
                         java.lang.String value)

  Specified by:
    `addValue` in interface `IdentityConfiguration`

### getOptions

    public java.util.Map getOptions(java.lang.String optionGroup)

  Specified by:
    `getOptions` in interface `IdentityConfiguration`

### setOptions

    public void setOptions(java.lang.String optionGroup,
                           java.util.Map options)

  Specified by:
    `setOptions` in interface `IdentityConfiguration`

### remoeOption

    public void remoeOption(java.lang.String optionGroup,
                            java.lang.String option)

  Specified by:
    `remoeOption` in interface `IdentityConfiguration`

### setData

    public void setData(java.util.Map data)

### getOptionGroups

    public java.util.Map getOptionGroups()

  Specified by:
    `getOptionGroups` in interface `IdentityConfiguration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD